aboutsummaryrefslogtreecommitdiff
path: root/test/suites/encoding-flags/run
diff options
context:
space:
mode:
Diffstat (limited to 'test/suites/encoding-flags/run')
-rwxr-xr-xtest/suites/encoding-flags/run14
1 files changed, 2 insertions, 12 deletions
diff --git a/test/suites/encoding-flags/run b/test/suites/encoding-flags/run
index 5db7d5e..a6f2111 100755
--- a/test/suites/encoding-flags/run
+++ b/test/suites/encoding-flags/run
@@ -10,23 +10,13 @@ is_test() {
}
run_test() {
- (
- if [ -f $test_path/env ]; then
- . $test_path/env
- fi
- $json_process --env <$test_path/input >$test_log/stdout 2>$test_log/stderr
- )
+ $json_process $test_path >$test_log/stdout 2>$test_log/stderr || return 1
valgrind_check $test_log/stderr || return 1
- cmp -s $test_path/output $test_log/stdout
}
show_error() {
valgrind_show_error && return
-
- echo "EXPECTED OUTPUT:"
- nl -bn $test_path/output
- echo "ACTUAL OUTPUT:"
- nl -bn $test_log/stdout
+ cat $test_log/stderr
}
. $top_srcdir/test/scripts/run-tests.sh